
# shortname
# .description
# ####scriptfilename.sh
# tool parameters (argument list)

# (note) -o "$OUTPUT" will automatically be prepended to each argument list



Split Chromatic Mono
.First sample is placed on c-4, next one on c#4, ..
.One sample per key
.Split stereo samples into L/R zones
#split_chromatic.sh
-a "$INPUT" -s chromatic -s amp_drum

Split Alt3 Mono
.First sample is placed on c-4, next one on c#4, ..
.Three samples per key
.Split stereo samples into L/R zones
#split_alt3.sh
-a "$INPUT" -s alt_3 -s amp_drum 

Split White Chromatic Mono
.First sample is placed on c-4, next one on d-4, ..
.One sample per key
.Split stereo samples into L/R zones
#split_white.sh
-a "$INPUT" -s white -s amp_drum

Split White Alt3 Mono
.First sample is placed on c-4, next one on d-4, ..
.Three samples per key
#split_white_alt3.sh
-a "$INPUT" -s white_alt_3 -s amp_drum


Split Root Center Mono
.Detect pitch and place root key in zone center
.Clear fine tune after pitch detection
.One sample per key
#split_root_center.sh
-a "$INPUT" -p -s root_center -s clear_tune -s amp_pad

Split Root Center Alt3 Mono
.Detect pitch and place root key in zone center
.Clear fine tune after pitch detection
.Three samples per key
#split_root_center_alt3.sh
-a "$INPUT" -p -s root_center_alt3 -s clear_tune -s amp_pad


Loop Multi C/G Single AutoXFade C3
.Multisample keys C-3, G-3, C-4, G-4, ..
.One sample per key
.Split stereo samples into L/R zones
.Auto-crossfading when no good loop points were found, minimal crossfading otherwise
-a "$INPUT" -dco -p -pn 3:c,g -l -lxf 0.5 -lxfa 500 -lss 40 -lse 5 -lte -s root_center -s clear_tune -s amp_pad

Loop Multi C/G Single AutoXFade PD
.Automatic pitch detection
.One sample per key
.Split stereo samples into L/R zones
.Auto-crossfading when no good loop points were found, minimal crossfading otherwise
-a "$INPUT" -dco -p -l -lxf 0.5 -lxfa 500 -lss 40 -lse 5 -lte -s root_center -s clear_tune -s amp_pad

#Loop Multi C/G Single NeverXFade C3
#.Multisample keys C-3, G-3, C-4, G-4, ..
#.One sample per key
#.Split stereo samples into L/R zones
#.Never crossfade (can cause clicks)
#-a "$INPUT" -dco -p -pn 3:c,g -l -lxf 0 -lxfa 0 -lss 40 -lse 5 -lte -s root_center -s clear_tune -s amp_pad

Loop Multi C/G Single MinXFade C3
.Multisample keys C-3, G-3, C-4, G-4, ..
.One sample per key
.Split stereo samples into L/R zones
.Minimal crossfading
#multiloop.sh
-a "$INPUT" -dco -p -pn 3:c,g -l -lxf 0.5 -lxfa 4 -lss 40 -lse 5 -lte -s root_center -s clear_tune -s amp_pad

Loop Multi C/G Single MinXFade PD
.Automatic pitch detection
.One sample per key
.Split stereo samples into L/R zones
.Minimal crossfading
#multiloop.sh
-a "$INPUT" -dco -p -l -lxf 0.5 -lxfa 4 -lss 40 -lse 5 -lte -s root_center -s clear_tune -s amp_pad

Loop Multi C/G Single MedXFade C3
.Multisample keys C-3, G-3, C-4, G-4, ..
.One sample per key
.Split stereo samples into L/R zones
.Medium crossfading
#multiloop.sh
-a "$INPUT" -dco -p -pn 3:c,g -l -lxf 0.5 -lxfa 16 -lss 40 -lse 5 -lte -s root_center -s clear_tune -s amp_pad

Loop Multi C/G XFade C3
.Multisample keys C-3, G-3, C-4, G-4, ..
.One sample per key
.Split stereo samples into L/R zones
.Limit loop point search and force crossfade
#multiloop_simple.sh
-a "$INPUT" -dco -n -p -pn 3:c,g -l -lxf 500 -lxfa 500 -mla 100 -lss 40 -lse 5 -lte -s root_center -s clear_tune -s amp_pad

Loop Multi C/G XFade PD
.Automatic pitch detection
.One sample per key
.Split stereo samples into L/R zones
.Limit loop point search and force crossfade
#multiloop_simple.sh
-a "$INPUT" -dco -n -p -l -lxf 500 -lxfa 500 -mla 100 -lss 40 -lse 5 -lte -s root_center -s clear_tune -s amp_pad

Loop Multi C/G Alt3 PD
.Three samples per key
.Split stereo samples into L/R zones
#multiloop_alt3.sh
-a "$INPUT" -p -l -lxf 0.5 -lxfa 0.5 -mll 0.6 -mnl 20 -lss 20 -lse 5 -s root_center_alt3 -s amp_pad -lte -dco

ClipLoop 32
.Create seamless cliploop
.Input must contain two loop repeats
.Crossfade 32 sample frames
-cl "$INPUT" -clxf 64

ClipLoop 64
.Create seamless cliploop
.Input must contain two loop repeats
.Crossfade 64 sample frames
-cl "$INPUT" -clxf 64

ClipLoop 128
.Create seamless cliploop
.Input must contain two loop repeats
.Crossfade 128 sample frames
.Note: Try this one first
-cl "$INPUT" -clxf 128

ClipLoop 256
.Create seamless cliploop
.Input must contain two loop repeats
.Crossfade 256 sample frames
-cl "$INPUT" -clxf 256

ClipLoop 512
.Create seamless cliploop
.Input must contain two loop repeats
.Crossfade 512 sample frames
-cl "$INPUT" -clxf 512

ClipLoop 1024
.Create seamless cliploop
.Input must contain two loop repeats
.Crossfade 1024 sample frames
-cl "$INPUT" -clxf 1024

ClipLoop 2048
.Create seamless cliploop
.Input must contain two loop repeats
.Crossfade 2048 sample frames
-cl "$INPUT" -clxf 2048

ClipLoop 4096
.Create seamless cliploop
.Input must contain two loop repeats
.Crossfade 4096 sample frames
-cl "$INPUT" -clxf 4096

ClipLoop 8192
.Create seamless cliploop
.Input must contain two loop repeats
.Crossfade 8192 sample frames
-cl "$INPUT" -clxf 8192

ClipLoop 16384
.Create seamless cliploop
.Input must contain two loop repeats
.Crossfade 16384 sample frames
-cl "$INPUT" -clxf 16384

